6.0.0-git
2021-01-18

[#11328] Windows phone 7 cannot log in to the system
Summary Windows phone 7 cannot log in to the system
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester leena.heino (at) uta (dot) fi
Created 2012-08-02 (3091 days ago)
Due
Updated 2012-08-29 (3064 days ago)
Assigned 2012-08-06 (3087 days ago)
Resolved 2012-08-13 (3080 days ago)
Milestone
Patch Yes

History
2012-08-29 12:47:35 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 3e9481171e04367fc15df77898efdee45dc26c3b
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Aug 13 15:54:52 2012 -0600

     [mms] Improved detection of mobile browsers (leena.heino@uta.fi) 
(Request #11328).

  framework/Browser/lib/Horde/Browser.php |   41 
+++++++++++++++++++++++++++----
  framework/Browser/package.xml           |    4 +-
  2 files changed, 38 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/3e9481171e04367fc15df77898efdee45dc26c3b
2012-08-29 12:46:28 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 11c75021cd3ec5fe0aadc7b64eab157716fa33d6
Author: Jan Schneider <jan@horde.org>
Date:   Mon Aug 6 23:12:32 2012 +0200

     [jan] Fix logging in without JavaScript (Bug #11328).

  horde/docs/CHANGES                    |    1 +
  horde/login.php                       |    4 ++--
  horde/package.xml                     |    2 ++
  horde/templates/login/smartmobile.inc |   14 +++++++-------
  4 files changed, 12 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/11c75021cd3ec5fe0aadc7b64eab157716fa33d6
2012-08-13 22:40:42 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (develop):

commit 3e9481171e04367fc15df77898efdee45dc26c3b
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Aug 13 15:54:52 2012 -0600

     [mms] Improved detection of mobile browsers (leena.heino@uta.fi) 
(Request #11328).

  framework/Browser/lib/Horde/Browser.php |   41 
+++++++++++++++++++++++++++----
  framework/Browser/package.xml           |    4 +-
  2 files changed, 38 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/3e9481171e04367fc15df77898efdee45dc26c3b
2012-08-13 21:55:40 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2012-08-13 21:55:27 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_4):

commit c0a34ecf69f6711860d211b356592490e5f1ef11
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Aug 13 15:54:52 2012 -0600

     [mms] Improved detection of mobile browsers (leena.heino@uta.fi) 
(Request #11328).

  framework/Browser/lib/Horde/Browser.php |   41 
+++++++++++++++++++++++++++----
  framework/Browser/package.xml           |    4 +-
  2 files changed, 38 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/c0a34ecf69f6711860d211b356592490e5f1ef11
2012-08-13 21:55:25 Michael Slusarz Deleted Original Message
 
2012-08-07 10:05:40 leena (dot) heino (at) uta (dot) fi Comment #5
New Attachment: horde-h4-browser[1].patch Download
Reply to this comment
Should I make a new patch based on Nokia recommendations?
Included a revised patch based on Nokia recommendations.
2012-08-07 09:35:14 leena (dot) heino (at) uta (dot) fi Comment #4 Reply to this comment
Don't hack WP7 to be detected as webkit, if it isn't. To enable 
smartphone view, it's sufficient to mark the browser to both support 
ajax and be mobile.
The hack was only needed to automatically enable and offer smart 
mobile mode for Windows Phone 7 users. Now the smart mobile mode is 
automatically only offered to webkit based browsers.
And does Opera mini really support all those features that you 
enabled? At least jQuery Mobile does only support is a grade B 
browser, i.e. without ajax support. We should do the same because 
without ajax, our smartphone interface won't work either.
Most likely not. Only really needed feature was the javascript support 
in order to be able to use horde with Opera Mini browser.
Finally, do those Nokia browser really have webkit browsers?
Nokia use of user-agents are bit confusing and it is really hard to 
find what browser is webkit based. So maybe not all of those phones 
have webkit based browsers.

Nokia itself recommends this:
((?Nokia? || ?SymbianOS?) && ?WebKit?) || (?N900? || ?Maemo Browser?) 
|| (?MeeGo? && ?NokiaN9?)

Taken from:
http://www.developer.nokia.com/Develop/Web/Mobile_web_browsing/

Should I make a new patch based on Nokia recommendations?
2012-08-06 21:49:08 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit 11c75021cd3ec5fe0aadc7b64eab157716fa33d6
Author: Jan Schneider <jan@horde.org>
Date:   Mon Aug 6 23:12:32 2012 +0200

     [jan] Fix logging in without JavaScript (Bug #11328).

  horde/docs/CHANGES                    |    1 +
  horde/login.php                       |    4 ++--
  horde/package.xml                     |    2 ++
  horde/templates/login/smartmobile.inc |   14 +++++++-------
  4 files changed, 12 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/11c75021cd3ec5fe0aadc7b64eab157716fa33d6
2012-08-06 21:42:34 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Don't hack WP7 to be detected as webkit, if it isn't. To enable 
smartphone view, it's sufficient to mark the browser to both support 
ajax and be mobile.

And does Opera mini really support all those features that you 
enabled? At least jQuery Mobile does only support is a grade B 
browser, i.e. without ajax support. We should do the same because 
without ajax, our smartphone interface won't work either.

Finally, do those Nokia browser really have webkit browsers?
2012-08-02 13:09:11 leena (dot) heino (at) uta (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Windows phone 7 cannot log in to the system
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: horde-h4-browser.patch
Reply to this comment
Users are unable to log in to the Horde system because Horde fails to 
enable javascript when user is using Windows Phone 7 or Opera mini 
browser.

This problem also exists with Horde 5.0 (git development).

Attached patch fixes the problem with:
- Windows Phone 7 browser
- Opera mini browser
- Nokia Series 40 or Nokia Asha phones.

Patched system tested with:
- Windows Phone 7
- Opera mini browser
- Nokia Series 40 phone browser

Saved Queries